      SUBROUTINE MTXM (A,NAR,B,NBR,C,NCC)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
C     MATRIX PRODUCT C(NAR,NCC) = (A(NBR,NAR))' * B(NBR,NCC)
C     ALL MATRICES RECTANGULAR , PACKED.
      dimension A(NBR,NAR),B(NBR,NCC),C(NAR,NCC)
      do 20 J=1,NCC
         do 10 I=1,NAR
   10    C(I,J)=0.D0
         do 20 K=1,NBR
            do 20 I=1,NAR
   20 C(I,J)=C(I,J)+A(K,I)*B(K,J)
      return
      end
